Bug 919760 - Backgrounds shouldn't be a dependency of Gnome!
Summary: Backgrounds shouldn't be a dependency of Gnome!
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-backgrounds
Version: 18
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Martin Sourada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2013-03-09 23:28 UTC by Andrew
Modified: 2014-02-05 19:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 19:48:40 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrew 2013-03-09 23:28:40 UTC
Description of problem:

When attempting to remove shovelware packages in Fedora 18 (thanks to some genius removing the expert install / custom package selection feature), I discovered that packages Desktop-Backgrounds-Gnome & Desktop-Backgrounds-Basic are marked as a dependencies of various key gnome components (can't single out which one exactly). This shouldn't be, nothing arbitrary should be forced upon the user.

According to the package information, these are just images with no actual system components within them. Please do not create arbitrary dependencies that have no rhyme or reason - such as having this Spherical-Cow-Backgrounds.


How reproducible:

Always


Steps to Reproduce:
1. Attempt to remove the package desktop-backgrounds-gnome or spherical-cow-backgrounds using your package manager of choice
2. Witness stupidity
  
Actual results:

Almost all of Gnome gets sucked in as being "dependent" on it and therefore "needed" to be removed as well if one wishes to remove the bloat.

Expected results:

Nothing should be depending on background images and should be removed peacefully.

Comment 1 Christoph Wickert 2013-03-10 07:38:55 UTC
Thanks for fling this bug report. As I am constantly working on breaking up large dependency chains (see bug 661442), I appreciate your efforts.

However there is nothing that we as the maintainers of the desktop-backgrounds package can change, it's on the GNOME maintainers to remove the dependency to our package from theirs. In order to do this, please give us the full output of the yum commands you were running (I am not running GNOME, so I can't do it).

Comment 2 Andrew 2013-03-10 20:00:08 UTC
I appreciate your prompt reply. I'm afraid I can't tell you what commands I use cause I remove packages via GUI using Yum Extender

Comment 3 Christopher Beland 2013-07-12 01:46:07 UTC
I'm not entirely sure why these dependencies are considered incorrect.  It seems reasonable that if the default collection of background images is not present, the Gnome desktop will not work correctly.  And if you install Gnome, you would expect the default background images to get pulled in automatically.

In case you still want to go ahead with this, I'm running Gnome so I can supply the requested info...

"yum remove desktop-backgrounds-gnome" tries to uninstall the following:

Removing:
 desktop-backgrounds-gnome
                       noarch 18.0.0-1.fc18  @koji-override-0/$releasever 115  
Removing for dependencies:
 bluez                 x86_64 4.101-6.fc18   @updates                     1.9 M
 brasero-nautilus      x86_64 3.6.1-2.fc18   @updates                      47 k
 cheese                x86_64 2:3.6.2-1.fc18 @koji-override-0/$releasever 3.8 M
 cheese-libs           x86_64 2:3.6.2-1.fc18 @koji-override-0/$releasever 4.2 M
 control-center        x86_64 1:3.6.3-2.fc18 @updates                      15 M
 deja-dup              x86_64 26.0-1.fc18    @updates                     3.8 M
 empathy               x86_64 3.6.4-3.fc18   @updates                      13 M
 eog                   x86_64 3.6.2-1.fc18   @koji-override-0/$releasever 7.9 M
 evince-nautilus       x86_64 3.6.1-2.fc18   @koji-override-0/$releasever  19 k
 evolution             x86_64 3.6.4-3.fc18   @updates                      44 M
 evolution-ews         x86_64 3.6.4-1.fc18   @updates                     1.1 M
 file-roller-nautilus  x86_64 3.6.3-1.fc18   @koji-override-0/$releasever  19 k
 gdm                   x86_64 1:3.6.2-5.fc18 @koji-override-0/$releasever 4.9 M
 gdm-libs              x86_64 1:3.6.2-5.fc18 @koji-override-0/$releasever  36 k
 gnome-bluetooth       x86_64 1:3.6.1-3.fc18 @updates                     271 k
 gnome-clocks          noarch 0.1.5-1.fc18   @koji-override-0/$releasever 541 k
 gnome-color-manager   x86_64 3.6.1-1.fc18   @updates                     3.8 M
 gnome-contacts        x86_64 3.6.2-1.fc18   @koji-override-0/$releasever 1.2 M
 gnome-desktop3        x86_64 3.6.3-1.fc18   @updates                     2.5 M
 gnome-documents       x86_64 3.6.2-1.fc18   @koji-override-0/$releasever 1.0 M
 gnome-font-viewer     x86_64 3.6.2-1.fc18   @koji-override-0/$releasever 240 k
 gnome-packagekit      x86_64 3.6.2-2.fc18   @updates                      12 M
 gnome-panel           x86_64 3.6.2-2.fc18   @updates                     9.0 M
 gnome-screensaver     x86_64 3.6.1-1.fc18   @koji-override-0/$releasever 1.1 M
 gnome-settings-daemon x86_64 3.6.4-3.fc18   @updates                     5.7 M
 gnome-settings-daemon-updates
                       x86_64 3.6.4-3.fc18   @updates                      65 k
 gnome-shell           x86_64 3.6.3.1-1.fc18 @updates                     4.7 M
 gnome-shell-extension-common
                       noarch 3.6.2-1.fc18   @updates                     268 k
 gnome-shell-extension-user-theme
                       noarch 3.6.2-1.fc18   @updates                     6.9 k
 gnome-tweak-tool      noarch 3.6.1-2.fc18   @fedora                      457 k
 nautilus              x86_64 3.6.3-4.fc18   @updates                      14 M
 nautilus-extensions   x86_64 3.6.3-4.fc18   @updates                      52 k
 orca                  x86_64 3.6.3-1.fc18   @koji-override-0/$releasever  13 M
 pulseaudio-gdm-hooks  x86_64 2.1-6.fc18     @updates                     354  
 pulseaudio-module-bluetooth
                       x86_64 2.1-6.fc18     @updates                     216 k
 totem-nautilus        x86_64 1:3.6.3-2.fc18 @updates                      61 k

Similar for "yum remove spherical-cow-backgrounds-gnome"

Removing:
 spherical-cow-backgrounds-gnome  noarch 18.0.0-2.fc18   @updates                     989  
Removing for dependencies:
 bluez                            x86_64 4.101-6.fc18    @updates                     1.9 M
 brasero-nautilus                 x86_64 3.6.1-2.fc18    @updates                      47 k
 cheese                           x86_64 2:3.6.2-1.fc18  @koji-override-0/$releasever 3.8 M
 cheese-libs                      x86_64 2:3.6.2-1.fc18  @koji-override-0/$releasever 4.2 M
 control-center                   x86_64 1:3.6.3-2.fc18  @updates                      15 M
 deja-dup                         x86_64 26.0-1.fc18     @updates                     3.8 M
 desktop-backgrounds-gnome        noarch 18.0.0-1.fc18   @koji-override-0/$releasever 115  
 empathy                          x86_64 3.6.4-3.fc18    @updates                      13 M
 eog                              x86_64 3.6.2-1.fc18    @koji-override-0/$releasever 7.9 M
 evince-nautilus                  x86_64 3.6.1-2.fc18    @koji-override-0/$releasever  19 k
 evolution                        x86_64 3.6.4-3.fc18    @updates                      44 M
 evolution-ews                    x86_64 3.6.4-1.fc18    @updates                     1.1 M
 file-roller-nautilus             x86_64 3.6.3-1.fc18    @koji-override-0/$releasever  19 k
 gdm                              x86_64 1:3.6.2-5.fc18  @koji-override-0/$releasever 4.9 M
 gdm-libs                         x86_64 1:3.6.2-5.fc18  @koji-override-0/$releasever  36 k
 gnome-bluetooth                  x86_64 1:3.6.1-3.fc18  @updates                     271 k
 gnome-clocks                     noarch 0.1.5-1.fc18    @koji-override-0/$releasever 541 k
 gnome-color-manager              x86_64 3.6.1-1.fc18    @updates                     3.8 M
 gnome-contacts                   x86_64 3.6.2-1.fc18    @koji-override-0/$releasever 1.2 M
 gnome-desktop3                   x86_64 3.6.3-1.fc18    @updates                     2.5 M
 gnome-documents                  x86_64 3.6.2-1.fc18    @koji-override-0/$releasever 1.0 M
 gnome-font-viewer                x86_64 3.6.2-1.fc18    @koji-override-0/$releasever 240 k
 gnome-packagekit                 x86_64 3.6.2-2.fc18    @updates                      12 M
 gnome-panel                      x86_64 3.6.2-2.fc18    @updates                     9.0 M
 gnome-screensaver                x86_64 3.6.1-1.fc18    @koji-override-0/$releasever 1.1 M
 gnome-settings-daemon            x86_64 3.6.4-3.fc18    @updates                     5.7 M
 gnome-settings-daemon-updates    x86_64 3.6.4-3.fc18    @updates                      65 k
 gnome-shell                      x86_64 3.6.3.1-1.fc18  @updates                     4.7 M
 gnome-shell-extension-common     noarch 3.6.2-1.fc18    @updates                     268 k
 gnome-shell-extension-user-theme noarch 3.6.2-1.fc18    @updates                     6.9 k
 gnome-tweak-tool                 noarch 3.6.1-2.fc18    @fedora                      457 k
 nautilus                         x86_64 3.6.3-4.fc18    @updates                      14 M
 nautilus-extensions              x86_64 3.6.3-4.fc18    @updates                      52 k
 orca                             x86_64 3.6.3-1.fc18    @koji-override-0/$releasever  13 M
 pulseaudio-gdm-hooks             x86_64 2.1-6.fc18      @updates                     354  
 pulseaudio-module-bluetooth      x86_64 2.1-6.fc18      @updates                     216 k
 totem-nautilus                   x86_64 1:3.6.3-2.fc18  @updates                      61 k

Comment 4 Fedora End Of Life 2013-12-21 12:01:04 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2014-02-05 19:48:40 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.